ExcludeArch: %{ix86}
# Generated by rust2rpm 26
%bcond_without check


%global commit e9abef567a928cfa88949dbbdb5c49bb87c2f6a0
%global shortcommit %{sub %{commit} 1 7}
%global commitdatestring 2024-08-01 18:52:22 +0200
%global commitdate 20240801

Name:           cosmic-notifications
Version:        1.0.0~alpha.2
Release:        %autorelease
Summary:        Notifications daemon for the COSMIC Desktop Environment

License:        (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSD-3-Clause) AND Apache-2.0 AND MIT AND BSD-3-Clause AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (0BSD OR MIT OR Apache-2.0) AND BSD-3-Clause AND (Apache-2.0  OR  MIT) AND CC0-1.0 AND MPL-2.0 AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR MIT) AND Zlib AND MIT AND (MIT OR Apache-2.0 OR Zlib) AND Unicode-3.0 AND ISC AND BSD-2-Clause AND BSL-1.0

URL:            https://github.com/pop-os/cosmic-notifications

Source0:        https://github.com/pop-os/cosmic-notifications/archive/%{commit}/cosmic-notifications-%{shortcommit}.tar.gz
# To create the below sources:
# * git clone https://github.com/pop-os/cosmic-notifications at the specified commit
# * cargo vendor > vendor-config-%%{shortcommit}.toml
# * tar -pczf vendor-%%{shortcommit}.tar.gz vendor
Source1:        vendor-%{shortcommit}.tar.gz
# * mv vendor-config-%%{shortcommit}.toml ..
Source2:        vendor-config-%{shortcommit}.toml

BuildRequires:  cargo-rpm-macros >= 25
BuildRequires:  rustc
BuildRequires:  lld
BuildRequires:  cargo
BuildRequires:  wayland-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  just
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme

%global _description %{expand:
%{summary}.}

%description %{_description}

%prep
%autosetup -n cosmic-notifications-%{commit} -p1 -a1
%cargo_prep -N
# Check if .cargo/config.toml exists
if [ -f .cargo/config.toml ]; then
  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
  cat %{SOURCE2} >> .cargo/config.toml
  echo "Appended %{SOURCE2} to .cargo/config.toml"
else
  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
  cat %{SOURCE2} >> .cargo/config
  echo "Appended %{SOURCE2} to .cargo/config"
fi

%build
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}
sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt

%install
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
just rootdir=%{buildroot} prefix=%{_prefix} install

# COSMIC is not a valid category pre-fedora 41
%if %{defined fedora} && 0%{?fedora} < 41
desktop-file-install \
--remove-category COSMIC \
--add-category X-COSMIC \
--delete-original \
--dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/com.system76.CosmicNotifications.desktop
%endif

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicNotifications.desktop
%if %{with check}
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
%cargo_test
%endif

%files
%license LICENSE.md
%license LICENSE.dependencies
%license cargo-vendor.txt
%doc README.md
%{_bindir}/cosmic-notifications
%{_datadir}/applications/com.system76.CosmicNotifications.desktop
%{_datadir}/icons/hicolor/scalable/apps/com.system76.CosmicNotifications.svg
%{_metainfodir}/com.system76.CosmicNotifications.metainfo.xml

%changelog
%autochangelog
